Subject: Re: bug#30978: 25.3; Suggestion: define-minor-mode should define mode-lighter variable

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 23 Aug 2020 14:22:51 +0200

Stefan Kangas <[email-masked]> writes:

>> I think this makes sense -- define-minor-mode would define a
>> buffer-local variable, I guess, that the users could set to change the
>> lighter?
>>
>> Like...  `FOO-mode-lighter' or something?  Any opinions?
>
> Yes, it sounds like a good idea.
>
> I'm not sure why you propose that it should be buffer-local though.
> Wouldn't one want to configure this globally by default?

Hm...  yes, a global variable makes more sense.  I was thinking that
somebody would want a different lighter in different buffers, but that
does sound rather unlikely.